.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}
.material-symbols-outlined {
  font-family: 'Material Symbols Outlined', sans-serif;
  /* Additional styling if needed */
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}


.q-item .border{
  border-radius: 10px;
  position: relative;
  z-index: 1;
  transition: transform 0.2s;
}


.q-item > .border:hover{
  transform: scale(1.05);
}


.q-item .q-mark{
  transform: translate(0px, 0px);
  position: relative;
  transition: transform 0.5s;
}


.q-item .q-mark button{
  height: 50px;
  width: 40px;
  background-color: transparent;
  border-width: 0;
  box-shadow: 1px 1px 3px;
}


.q-item .q-mark.q-invisible{
  transform: translate(0px, -60px);
}


.q-item-default .q-mark button{
  color: gray;
}


.q-item-salmon .q-mark button {
  color: #De4c4c;
}


.q-item-sky .q-mark button {
  color: #328ace;
}


.q-item-lucky .q-mark button {
  color: #20b45e;
}


.q-item-banana .q-mark button {
  color: #e2d000;
}


.q-item-sunset .q-mark button {
  color: #f2810f;
}


.q-item-default > .border, .q-card-view-default .border{
  background-color: #ffffff;
  color: black;
}


.q-item-salmon > .border, .q-card-view-salmon .border{
  background-color: #De4c4c;
  color: white;
}


.q-item-sky > .border, .q-card-view-sky .border{
  background-color: #328ace;
  color: white;
}


.q-item-lucky > .border, .q-card-view-lucky .border{
  background-color: #20b45e;
  color: white;
}


.q-item-banana > .border, .q-card-view-banana .border{
  background-color: #e2d000;
  color: white;
}


.q-item-sunset > .border, .q-card-view-sunset .border{
  background-color: #f2810f;
  color: white;
}


.q-card-view .q-card{
  border-radius: 10px;
}


.q-card-view .q-card .border{
  border-radius: 10px;
  margin: 0px 30px;
}


.q-card-view .q-card .d-flex{
  height: 30px;
  padding: 0px 10px;
}


.q-sidebar{
  height: auto;
}


/*bootstrap smallest*/
@media (max-width: 575.98px) {
  .q-card-view > div{
    width: 100%;
  }

  .q-card-view .q-card{
    height: 315px;
  }
}


/*bootstrap small*/
@media (min-width: 576px) {
  .q-card-view > div{
    width: 560px;
  }

  .q-card-view .q-card{
    height: 315px;
  }
}


/*bootstrap medium*/
@media (min-width: 768px) {
  .q-card-view > div{
    font-size: medium;
    width: 752px;
  }

  .q-card-view .q-card{
    height: 423px;
  }

  .q-card-view .q-card .border{
    margin: 0px 35px;
  }

  .q-card-view .q-card .d-flex{
    height: 35px;
    padding: 0px 12px;
  }
}

/*bootstrap large*/
@media (min-width: 992px) {
  .q-card-view > div{
    font-size: large;
    width: 976px;
  }

  .q-card-view .q-card{
    height: 549px;
  }

  .q-card-view .q-card .border{
    margin: 0px 40px;
  }

  .q-card-view .q-card .d-flex{
    height: 40px;
    padding: 0px 15px;
  }

  .q-sidebar{
    height: 100vh;
  }
}

/*bootstrap extra large*/
@media (min-width: 1200px) {
  .q-card-view > div{
    font-size: x-large;
    width: 1040px;
  }

  .q-card-view .q-card{
    height: 585px;
  }

  .q-card-view .q-card .border{
    margin: 0px 42px;
  }

  .q-card-view .q-card .d-flex{
    height: 42px;
    padding: 0px 17px;
  }
}